### Function

# Json string_compare

#### Declaration [src]

    gint
    json_string_compare (
      gconstpointer a,
      gconstpointer b
    )

#### Description [src]

Check whether `a` and `b` are equal UTF-8 JSON strings and return an ordering over them in `strcmp()` style.

Available since: | 1.2

#### Parameters

`a` | `gconstpointer`
| A JSON string.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`b` | `gconstpointer`
| Another JSON string.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gint`
| An integer less than zero if `a < b`, equal to zero if `a == b`, and greater than zero if `a > b`